import type Plugin from '../../Plugin';
export default class StaticScheduleTrigger {
    workflow: Plugin;
    private timers;
    constructor(workflow: Plugin);
    inspect(workflows: any): void;
    getNextTime({ config, allExecuted }: {
        config: any;
        allExecuted: any;
    }, currentDate: any, nextSecond?: boolean): any;
    schedule(workflow: any, nextTime: any, toggle?: boolean): void;
    trigger(workflow: any, time: any): Promise<void>;
    on(workflow: any): void;
    off(workflow: any): void;
}
